<%@ Page Language="VB" MasterPageFile="~/MasterPage.master" AutoEventWireup="false" CodeFile="editdata.aspx.vb" Inherits="editor_editdata" title="Untitled Page" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" Runat="Server">
   
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="mainContent" Runat="Server">
    <asp:AccessDataSource ID="GridDataSource" runat="server" 
    DataFile="~/App_Data/products.mdb" 
    SelectCommand="SELECT [ID], [ProductName], [Price] FROM [Products]">
</asp:AccessDataSource>
    <br />
    <asp:AccessDataSource ID="EditDataSource" runat="server" 
        DataFile="~/App_Data/products.mdb" 
        DeleteCommand="DELETE FROM [Products] WHERE [ID] = ?" 
        InsertCommand="INSERT INTO [Products] ([ID], [ProductName], [Quantity], [Price], [SKU], [Vendor]) VALUES (?, ?, ?, ?, ?, ?)" 
        SelectCommand="SELECT * FROM [Products] WHERE ([ID] = ?)" 
        
        UpdateCommand="UPDATE [Products] SET [ProductName] = ?, [Quantity] = ?, [Price] = ?, [SKU] = ?, [Vendor] = ? WHERE [ID] = ?">
        <SelectParameters>
            <asp:controlparameter ControlID="GridView1" Name="ID" 
                PropertyName="SelectedValue" Type="Int32" />
        </SelectParameters>
        <DeleteParameters>
            <asp:parameter Name="ID" Type="Int32" />
        </DeleteParameters>
        <UpdateParameters>
            <asp:parameter Name="ProductName" Type="String" />
            <asp:parameter Name="Quantity" Type="String" />
            <asp:parameter Name="Price" Type="String" />
            <asp:parameter Name="SKU" Type="String" />
            <asp:parameter Name="Vendor" Type="String" />
            <asp:parameter Name="ID" Type="Int32" />
        </UpdateParameters>
        <InsertParameters>
            <asp:parameter Name="ID" Type="Int32" />
            <asp:parameter Name="ProductName" Type="String" />
            <asp:parameter Name="Quantity" Type="String" />
            <asp:parameter Name="Price" Type="String" />
            <asp:parameter Name="SKU" Type="String" />
            <asp:parameter Name="Vendor" Type="String" />
        </InsertParameters>
    </asp:AccessDataSource>
    <br />
    <asp:LinkButton ID="lnkAddRecord" runat="server" onclick="lnkAddRecord_Click">Add 
    New Record</asp:LinkButton>
    <br />
<asp:GridView ID="GridView1" runat="server" AllowPaging="True" 
    AllowSorting="True" AutoGenerateColumns="False" DataKeyNames="ID" 
    DataSourceID="GridDataSource">
    <Columns>
        <asp:commandfield ShowSelectButton="True"></asp:commandfield>
        <asp:boundfield DataField="ID" HeaderText="ID" InsertVisible="False" 
            ReadOnly="True" SortExpression="ID" Visible="False"></asp:boundfield>
        <asp:boundfield DataField="ProductName" HeaderText="ProductName" 
            SortExpression="ProductName"></asp:boundfield>
        <asp:boundfield DataField="Price" HeaderText="Price" SortExpression="Price">
        </asp:boundfield>
    </Columns>
</asp:GridView>
<br />
<asp:FormView ID="FormView1" runat="server" DataKeyNames="ID" 
    DataSourceID="EditDataSource" Width="400px" 
        onitemdeleted="FormView1_ItemDeleted" oniteminserted="FormView1_ItemInserted" 
        onitemupdated="FormView1_ItemUpdated">
    <edititemtemplate>
        ID:
        <asp:Label ID="IDLabel1" runat="server" Text='<%# Eval("ID") %>' />
        <br />
        ProductName:
        <asp:TextBox ID="ProductNameTextBox" runat="server" 
            Text='<%# Bind("ProductName") %>' />
        <br />
        Quantity:
        <asp:TextBox ID="QuantityTextBox" runat="server" 
            Text='<%# Bind("Quantity") %>' />
        <br />
        Price:
        <asp:TextBox ID="PriceTextBox" runat="server" Text='<%# Bind("Price") %>' />
        <br />
        SKU:
        <asp:TextBox ID="SKUTextBox" runat="server" Text='<%# Bind("SKU") %>' />
        <br />
        Vendor:
        <asp:TextBox ID="VendorTextBox" runat="server" Text='<%# Bind("Vendor") %>' />
        <br />
        <asp:LinkButton ID="UpdateButton" runat="server" CausesValidation="True" 
            CommandName="Update" Text="Update" />
        &nbsp;<asp:LinkButton ID="UpdateCancelButton" runat="server" 
            CausesValidation="False" CommandName="Cancel" Text="Cancel" />
    </edititemtemplate>
    <insertitemtemplate>
        ProductName:
        <br />
        <asp:TextBox ID="ProductNameTextBox" runat="server" 
            Text='<%# Bind("ProductName") %>' />
        <br />
        Quantity:
        <br />
        <asp:TextBox ID="QuantityTextBox" runat="server" 
            Text='<%# Bind("Quantity") %>' />
        <br />
        Price:
        <br />
        <asp:TextBox ID="PriceTextBox" runat="server" Text='<%# Bind("Price") %>' />
        <br />
        SKU:
        <br />
        <asp:TextBox ID="SKUTextBox" runat="server" Text='<%# Bind("SKU") %>' />
        <br />
        Vendor:
        <br />
        <asp:TextBox ID="VendorTextBox" runat="server" Text='<%# Bind("Vendor") %>' />
        <br />
        <asp:LinkButton ID="InsertButton" runat="server" CausesValidation="True" 
            CommandName="Insert" Text="Insert" />
        &nbsp;<asp:LinkButton ID="InsertCancelButton" runat="server" 
            CausesValidation="False" CommandName="Cancel" Text="Cancel" />
    </insertitemtemplate>
    <itemtemplate>
        ID:
        <asp:Label ID="IDLabel" runat="server" Text='<%# Eval("ID") %>' />
        <br />
        ProductName:
        <asp:Label ID="ProductNameLabel" runat="server" 
            Text='<%# Bind("ProductName") %>' />
        <br />
        Quantity:
        <asp:Label ID="QuantityLabel" runat="server" Text='<%# Bind("Quantity") %>' />
        <br />
        Price:
        <asp:Label ID="PriceLabel" runat="server" Text='<%# Bind("Price") %>' />
        <br />
        SKU:
        <asp:Label ID="SKULabel" runat="server" Text='<%# Bind("SKU") %>' />
        <br />
        Vendor:
        <asp:Label ID="VendorLabel" runat="server" Text='<%# Bind("Vendor") %>' />
        <br />
        <asp:LinkButton ID="EditButton" runat="server" CausesValidation="False" 
            CommandName="Edit" Text="Edit" />
        &nbsp;<asp:LinkButton ID="DeleteButton" runat="server" CausesValidation="False" 
            CommandName="Delete" Text="Delete" />
        &nbsp;<asp:LinkButton ID="NewButton" runat="server" CausesValidation="False" 
            CommandName="New" Text="New" />
    </itemtemplate>
    <emptydatatemplate>
        <p>Click Add New Record to add a new record.</p>
        <p>Select a record to view details, edit, or delete a record.</p>
    </emptydatatemplate>
</asp:FormView>
<br />
&nbsp;&nbsp; 
</asp:Content>

